GET /v1/audit_log

The Audit Log Entry object

A detailed look at the Audit Log Entry object and its attributes.

An audit log entry records a single action performed within a reseller store workspace. Entries are created automatically by the system (e.g. when sync jobs are created, retried, or marked dead) and cannot be created or modified via the API.

Common action values include sync_job.created, sync_job.retried, and sync_job.dead.

The Audit Log Entry object

object string REQUIRED
data array of object REQUIRED
has_more boolean REQUIRED
url string REQUIRED
request_id string REQUIRED

Response

{
  "object": "example_object",
  "data": [
    {
      "id": "example_id",
      "resellerStoreId": "example_resellerStoreId",
      "action": "example_action",
      "resourceType": "example_resourceType",
      "resourceId": "example_resourceId",
      "metadata": {},
      "actorId": "example_actorId",
      "createdAt": "example_createdAt"
    }
  ],
  "has_more": true,
  "url": "example_url",
  "request_id": "example_request_id"
}